PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes
pstun.h File Reference
`#include <ptbuildopts.h>`
`#include <ptclib/pnat.h>`
`#include <ptlib/sockets.h>`
Include dependency graph for pstun.h:

Go to the source code of this file.

## Classes
class | PSTUN
struct | PSTUNAttribute
class | PSTUNAddressAttribute
class | PSTUNStringAttribute
class | PSTUNChangeRequest
class | PSTUNMessageIntegrity
class | PSTUNErrorCode
struct | PSTUNChannelNumber
struct | PSTUNMessageHeader
class | PSTUNUDPSocket
| UDP socket that has been created by the STUN client. More...
class | PSTUNMessage
class | PSTUNClient
| STUN client. More...
class | PTURNRequestedTransport
| TURN client. More...
class | PTURNLifetime
class | PTURNEvenPort
struct | PTURNChannelHeader
class | PTURNUDPSocket
class | PTURNClient